{% load static %}
<!doctype html>

<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1 shrink-to-fit=no">

        <title>{% block title %}{% endblock title %}</title>

        <link rel="stylesheet" href="https://unpkg.com/tachyons@4.10.0/css/tachyons.min.css"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
        <!-- Icons by Font Awesome 5 -->
        <script src='https://kit.fontawesome.com/a076d05399.js'></script>
        
        <!-- Font Montserrat CSS -->
        <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300&display=swap" rel="stylesheet">
        
        <!-- Navbar styles -->
        <link rel="stylesheet" type="text/css" href="{% static 'navbar.css' %}">

        <!-- Custom styles -->
        {% block styling %}{% endblock styling %}
    </head>

    <body>

        <!-- Navbar -->
        <nav class="navbar navbar-dark sticky-top custom-navbar">
            <div class="container">
                <div>
                    <a href="/"><img src="{% static 'P2M_Logo.png' %}" alt="P2M Logo" style="width:231px;height:64px;"></a>

                    {% if user.is_authenticated %}    
                    <span class="btn-group">
                        <button type="button" class="btn"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                        style="color:white; line-height: 8px;  white-space: nowrap;">
                            <div class="row align-items-center">
                                <div class="col" style="padding-right: 0;">PELATIHAN <br></br> TERDAFTAR</div>
                                <div class="col" style="padding: 0;"><i class='fas fa-chevron-down'></i></div>
                            </div>
                        </button>
                        
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            {% if kelas_peserta %}
                            {% for kelas in kelas_peserta %}
                            <a class="dropdown-item dropdown-child" href="/kelas/{{kelas.id_kelas}}">
                                {{kelas.id_pelatihan}}
                            </a>
                            <div class="dropdown-divider"></div>
                            {% endfor %}
                            
                            {% else %}
                            <a class="dropdown-item disabled dropdown-child" href="#"
                            style="font-size:10px; padding: 0.25rem 1rem; line-height: 8px;">
                                Belum ada pelatihan<br></br>yang anda ikuti
                            </a>
                            {% endif %}
                            <a class="dropdown-item dropdown-child" href="{% url 'program-list' %}">
                                + Pelatihan Baru
                            </a>
                            
                        </div>
                    </span>
                <a href="/" class="btn" role="button" style="color:white;">KONTAK KAMI</a>
                </div>
                
                <div class="dropdown">
                    <button type="button" class="btn"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                    style="color:white; white-space: nowrap;">
                        <i class='fas fa-user-circle' style="font-size:32px; vertical-align:middle;"></i>
                        &nbsp; &nbsp;{{ peserta_obj.nama_lengkap }}&nbsp;&nbsp;
                        <i class='fas fa-chevron-down'></i>
                    </button>
                    <div class="dropdown-menu" style="line-height: 8px;">
                        <a href="{% url 'profile_detail' %}" class="dropdown-child dropdown-item">
                            Profil Saya
                        </a>
                        <div class="dropdown-divider"></div>
                        <!-- <a href="{% url 'account_logout' %}" class="dropdown-child dropdown-item">
                            Keluar
                        </a> -->
                        <a href="#logoutModal" class="dropdown-child dropdown-item" data-toggle="modal">
                            Keluar
                        </a>
                    </div>

                {% else %}
                </div>
                <div>
                    <a href="/" class="btn" role="button" style="color:white;">KONTAK KAMI</a>
                    <a href="{% url 'google_login' %}" role="button" class="btn btn-masuk">
                        <svg id="google_logo" xmlns="https://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 48 48" aria-hidden="true" class="L5wZDc">
                            <path fill="#4285F4" d="M45.12 24.5c0-1.56-.14-3.06-.4-4.5H24v8.51h11.84c-.51 2.75-2.06 5.08-4.39 6.64v5.52h7.11c4.16-3.83 6.56-9.47 6.56-16.17z"></path>
                            <path fill="#34A853" d="M24 46c5.94 0 10.92-1.97 14.56-5.33l-7.11-5.52c-1.97 1.32-4.49 2.1-7.45 2.1-5.73 0-10.58-3.87-12.31-9.07H4.34v5.7C7.96 41.07 15.4 46 24 46z"></path>
                            <path fill="#FBBC05" d="M11.69 28.18C11.25 26.86 11 25.45 11 24s.25-2.86.69-4.18v-5.7H4.34C2.85 17.09 2 20.45 2 24c0 3.55.85 6.91 2.34 9.88l7.35-5.7z"></path>
                            <path fill="#EA4335" d="M24 10.75c3.23 0 6.13 1.11 8.41 3.29l6.31-6.31C34.91 4.18 29.93 2 24 2 15.4 2 7.96 6.93 4.34 14.12l7.35 5.7c1.73-5.2 6.58-9.07 12.31-9.07z"></path>
                            <path fill="none" d="M2 2h44v44H2z"></path>
                        </svg>
                        &nbsp;DAFTAR / MASUK
                    </a>
                {% endif %}
                </div>
                  <!-- </form> -->
            </div>
        </nav>

        {% if user.is_authenticated %}
        <!-- Logout Modal -->
        <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" style="color:black">
            <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Signing Out</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                Apakah anda yakin ingin keluar?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
                    <form method="post" action="{% url 'account_logout' %}">
                        {% csrf_token %}
                        {% if redirect_field_value %}
                        <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}"/>
                        {% endif %}
                        <button class="btn" type="submit" style="background-color:#020865; color:white">Keluar</button>
                    </form>
                </div>
            </div>
            </div>
        </div>
        {% endif %}

        <!-- Page Content -->
        {% block content %}
        Error loading page
        {% endblock content %}
        

    
    <!-- jQuery first, Popper.js, Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    {% block customScript %}{% endblock customScript %}
    </body>

</html>